Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.portal.owswatch
Class ServicesConfigurationFactory

    java.lang.Object
      org.deegree.portal.owswatch.ServicesConfigurationFactory

All Implemented Interfaces:
  Serializable

    public class ServicesConfigurationFactory

extends Object
implements Serializable

This class is used to parse the services as services.xml. This xml file includes all services to be tested

Version:
  $Revision: 20271 $, $Date: 2009-10-21 13:07:15 +0200 (Mi, 21. Okt 2009) $
Author:
  Moataz Elmasry, last edited by: $Author: jmays $
See Also:
  Serialized Form

Constructor Summary
`ServicesConfigurationFactory()`

Method Summary
`static NamespaceContext` | `getCnxt()`
`String` | `getPrefix()`
`ServiceConfiguration` | `parseService(Node serviceNode, String prefix)` Takes in a service Node and parses it.
`List<ServiceConfiguration>` | `parseServices(String url)` Parses a list of ServiceConfiguration from the given xml file

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServicesConfigurationFactory

    public ServicesConfigurationFactory()

Method Detail

### parseServices

    public List<ServiceConfiguration> parseServices(String url)
                                             throws XMLParsingException,
                                                    IOException

  Parses a list of ServiceConfiguration from the given xml file

  Parameters:
    `url` -
  Returns:
    List of ServiceMonitor. These are the parsed services
  Throws:
    `XMLParsingException`
    `IOException`

### parseService

    public ServiceConfiguration parseService(Node serviceNode,
                                             String prefix)
                                      throws XMLParsingException,
                                             ConfigurationsException

  Takes in a service Node and parses it.

  Parameters:
    `serviceNode` - xml node as an example refer to services.xml
    `prefix` -
  Returns:
    ServiceConfiguration
  Throws:
    `XMLParsingException`
    `ConfigurationsException`

### getCnxt

    public static NamespaceContext getCnxt()

  Returns:
    deegree NameSpacecontext plus the cnxt of the ServiceConfiguration

### getPrefix

    public String getPrefix()

  Returns:
    Prefix of the Serviceconfiguration xml file

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org